Bug 142902 - CAN-2004-1189 buffer overflow in krb5
CAN-2004-1189 buffer overflow in krb5
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: krb5 (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
impact=moderate,embargoed=20041221
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-14 17:47 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-19 13:51:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-12-14 17:47:10 EST
secalert received a message from the MIT Kerberos Development Team
detailing a vulnerability.

The MIT Kerberos 5 administration library (libkadm5srv) contains a
heap buffer overflow in password history handling code which could be
exploited to execute arbitrary code on a Key Distribution Center (KDC)
host.  The overflow occurs during a password change of a principal
with a certain password history state.  An administrator must have
performed a certain password policy change in order to create the
vulnerable state.

There is currently no patch for this issue.  I'll attach one as soon
as it becomes available.

The MIT team wants to realease their update sometimes around
2004-12-21 since this issue is technically public (we are however
treating it as embargoed).
Comment 1 Josh Bressers 2004-12-14 17:47:43 EST
This issue should also affect RHEL2.1
Comment 2 Mark J. Cox (Product Security) 2004-12-21 04:26:17 EST
removing embargo
Comment 3 Josh Bressers 2005-01-19 13:51:45 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-012.html

Note You need to log in before you can comment on or make changes to this bug.